import {
  api,
  downloadFile,
  createApiUrl
} from '~/utils/axios';









/**
 * 获取多语言类型列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getI18nLangTypeList(data) {
  return api.post('I18n.I18nLangType.I18nLangType/getI18nLangTypeList', data);
}

/**
 * 删除多语言类型
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteI18nLangType(data) {
  return api.post('I18n.I18nLangType.I18nLangType/deleteI18nLangType', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加多语言类型
 * @param {Object} data
 * @return {Promise} api
 */
export function addI18nLangType(data) {
  return api.post('I18n.I18nLangType.I18nLangType/addI18nLangType', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑多语言类型
 * @param {Object} data
 * @return {Promise} api
 */
export function editI18nLangType(data) {
  return api.post('I18n.I18nLangType.I18nLangType/editI18nLangType', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}